export interface CrpcListItem {
    ID: string;
    L1: string;
    L2?: string;
    URL?: string;
    URLNAT?: string;
}
export declare class ListItem {
    select: () => void;
    id: string;
    title: string;
    subtitle?: string;
    imageUrl?: string;
    imageUrlNat?: string;
    constructor(id: string, itemNumber: number, title: string, select: () => void);
    static fromCrpc(data: CrpcListItem, itemNumber: number, select: () => void): ListItem;
}
