"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListItem = void 0;
class ListItem {
    constructor(id, itemNumber, title, select) {
        this.select = select;
        this.title = '';
        this.subtitle = '';
        this.imageUrl = '';
        this.imageUrlNat = '';
        this.id = id;
        this.title = title;
    }
    static fromCrpc(data, itemNumber, select) {
        return Object.assign(new ListItem(data.ID, itemNumber, data.L1, select), {
            subtitle: data.L2,
            imageUrl: data.URL,
            imageUrlNat: data.URLNAT,
        });
    }
}
exports.ListItem = ListItem;
