"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetProperty = void 0;
const method_name_1 = require("../method-name");
const generic_send_1 = require("./generic-send");
class GetProperty extends generic_send_1.GenericSend {
    constructor(instanceName, propertyName) {
        super();
        this.method = method_name_1.MethodName.GetProperty;
        this.body = {
            instanceName,
            propName: propertyName,
        };
    }
}
exports.GetProperty = GetProperty;
