"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RegisterEvent = void 0;
const method_name_1 = require("../method-name");
const generic_send_1 = require("./generic-send");
class RegisterEvent extends generic_send_1.GenericSend {
    constructor(handle, event, instanceName) {
        super();
        this.method = method_name_1.MethodName.RegisterEvent;
        this.body = {
            handle,
            instanceName,
            ev: event
        };
    }
}
exports.RegisterEvent = RegisterEvent;
