"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Register = void 0;
const method_name_1 = require("../method-name");
const generic_send_1 = require("./generic-send");
class Register extends generic_send_1.GenericSend {
    constructor(uuid, direct = false, version = '1.0') {
        super();
        this.method = method_name_1.MethodName.Register;
        this.body = {
            uuid,
            ver: version,
            maxPacketSize: 65535,
            type: direct ? 'cip-direct/json-rpc' : 'symbol/json-rpc',
            encoding: 'UTF-8',
            format: 'JSON',
            name: 'MediaPlayer=1',
        };
    }
}
exports.Register = Register;
