"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeferredRejectionMessage = void 0;
const deferred_rejection_reason_1 = require("./deferred-rejection-reason");
class DeferredRejectionMessage {
    constructor(reason, data) {
        this.reason = reason;
        this.data = data;
    }
    static timeout() {
        return new DeferredRejectionMessage(deferred_rejection_reason_1.DeferredRejectionReason.Timeout);
    }
}
exports.DeferredRejectionMessage = DeferredRejectionMessage;
