export declare class TemporaryDeferred<T, E> {
    private _timeoutMs;
    private _onTimeout;
    private readonly _timeout;
    private _originalReject;
    resolve: (data: T) => void;
    reject: (error: E) => void;
    promise: Promise<T>;
    constructor(_timeoutMs: number, _onTimeout: () => void);
}
