"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetProperty = void 0;
const method_name_1 = require("../method-name");
const send_1 = require("./send");
class GetProperty extends send_1.Send {
    constructor(instanceName, propertyName) {
        super(instanceName);
        this.method = method_name_1.MethodName.GetProperty;
        this.body = {
            propName: propertyName,
        };
    }
}
exports.GetProperty = GetProperty;
