"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StatusMsgResponseMenu = void 0;
const method_name_1 = require("../method-name");
const generic_send_1 = require("./generic-send");
class StatusMsgResponseMenu extends generic_send_1.GenericSend {
    constructor(instanceName, itemNumber, input) {
        super();
        this.instanceName = instanceName;
        this.method = method_name_1.MethodName.StatusMsgResponseMenu;
        this.body = {
            instanceName,
            id: itemNumber,
            userInput: input,
            state: true,
            localExit: false,
        };
    }
}
exports.StatusMsgResponseMenu = StatusMsgResponseMenu;
